Subject: bug#25230: Patch to ispell.el to simplify use of [:alpha:] for CASECHARS in built-in dictionaries

From: Reuben Thomas <[email-masked]>
Date: Mon, 19 Dec 2016 21:17:17 +0000

On 19 December 2016 at 16:23, Eli Zaretskii <[email-masked]> wrote:

>
> You are assuming that [[:alpha:]] and [A-Za-z] are identical.

​No, because my patch does not change the current behaviour of the code.
The assumption that [:alpha:] is OK to use here instead of A-Za-z is
already in the code.​

IOW, I don't think this patch is in the right direction.

​From the conversation on other bugs, I think that the correct thing to do
here is to remove the first part of my patch (so that the hardwired
dictionaries keep their individual casechars and not-casechars settings),
and keep the second part of the patch (so that
ispell-set-spellchecker-params does not change them all to [:alpha:].

Does that sound plausible? If so, I'll prepare a modified patch for your
consideration.

-- 
http://rrt.sc3d.org